//
// fstrm.cpp : Defines the entry point for the console application.
// A C++ program demonstrating how to declare an
// ifstream and ofstream for file input and output.
// Copyright (c) Chris H. Pappas and William H. Murray, 2001
//

#include "stdafx.h"
#include <fstream>
#include <iostream> // access to cerr

using namespace std;

int main(int argc, char* argv[])
{
  char c;

  ifstream ifsin("a:\\text.in",ios::in);
  if( !ifsin )
    cerr << "\nUnable to open 'text.in' for input.\n";

  ofstream ofsout("a:\\text.out",ios::out);
  if( !ofsout )
    cerr << "\nUnable to open 'text.out' for output.\n";

  while( ofsout && ifsin.get(c) )
    ofsout.put(c);

  ifsin.close( );
  ofsout.close( );

  return(0);
}